//---------------------------------------------------------------------------
#ifndef Moochos_FullGlyph_InputMan_H
#define Moochos_FullGlyph_InputMan_H
//---------------------------------------------------------------------------
// InputMan.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
namespace Moochos { namespace FullGlyph { namespace InputMan {
//---------------------------------------------------------------------------
class TInputMan : public TObject
{
private:
	TColorDialog* FColorDialog;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
protected:
public:
	__fastcall TInputMan();
	virtual __fastcall ~TInputMan();
	TColor __fastcall ChooseColor(TColor AColor);
	AnsiString __fastcall ChooseDirectory(const AnsiString& AMessage, const AnsiString& ADirectory);
	__property TColorDialog* ColorDialog = {read=FColorDialog};
};
//---------------------------------------------------------------------------
}}} // End of Moochos::FullGlyph::InputMan
using namespace Moochos::FullGlyph::InputMan;
//---------------------------------------------------------------------------
#endif

