//---------------------------------------------------------------------------
#ifndef Moochos_FullGlyph_SettingsMan_H
#define Moochos_FullGlyph_SettingsMan_H
//---------------------------------------------------------------------------
// FullGlyph_SettingsMan.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
namespace Moochos { namespace Moa { namespace IniFiles { class TVarIniFile; }}} using namespace Moochos::Moa::IniFiles;
//---------------------------------------------------------------------------
namespace Moochos { namespace FullGlyph { namespace SettingsMan {
//---------------------------------------------------------------------------
class ESettingsManError : public Exception
{
public:
	__fastcall ESettingsManError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class TSettingsMan : public TObject
{
private:
	void __fastcall LoadMainFormSection(TVarIniFile* AIni);
	void __fastcall SaveMainFormSection(TVarIniFile* AIni);
	void __fastcall LoadSystemSection(TVarIniFile* AIni);
	void __fastcall SaveSystemSection(TVarIniFile* AIni);
protected:
public:
	__fastcall TSettingsMan();
	virtual __fastcall ~TSettingsMan();
	void __fastcall Load();
	void __fastcall Save();
};
//---------------------------------------------------------------------------
}}} // End of Moochos::FullGlyph::SettingsMan
using namespace Moochos::FullGlyph::SettingsMan;
//---------------------------------------------------------------------------
#endif

